Projects
List Projects
Retrieves a paginated list of projects with optional filters
Retrieves a paginated list of projects with optional filters
Query Parameters
teamId?string
Filter by team ID
Format
uuidownerId?string
Filter by owner ID
Format
uuidstatusId?string
Filter by status ID
Format
uuidcollectionId?string
Filter by collection ID
Format
uuidincludeArchived?string
Include archived projects
Value in
"true" | "false"includeTotal?string
Include total count in response. Consider omitting for subsequent page loads to improve performance.
Value in
"true" | "false"includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Value in
"true" | "false"expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (owner,status,teams,collection)
Default
"all"cursor?string
Cursor for pagination
offset?|
Offset for pagination
Range
0 <= valuelimit?integer
Number of results to return (max 100)
Default
50Range
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/v1/projects/list"{ "data": [ { "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "collectionId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "teamIds": [ "string" ], "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "teams": [ { "id": "string", "name": "string", "publicId": "str" } ], "collection": { "id": "string", "name": "string" } } ], "nextCursor": "string", "hasMore": true, "total": 0}